org.eclipse.aether.resolution

## Class MetadataResult

- java.lang.Object
- - org.eclipse.aether.resolution.MetadataResult

-     public final class MetadataResult
      extends Object

  The result of a metadata resolution request.
  See Also:
    `RepositorySystem.resolveMetadata(RepositorySystemSession, java.util.Collection)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetadataResult(MetadataRequest request)` Creates a new result for the specified request.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Exception` | `getException()` Gets the exception that occurred while resolving the metadata.
    `Metadata` | `getMetadata()` Gets the resolved metadata (if any).
    `MetadataRequest` | `getRequest()` Gets the resolution request that was made.
    `boolean` | `isMissing()` Indicates whether the requested metadata is not present in the remote repository.
    `boolean` | `isResolved()` Indicates whether the requested metadata was resolved.
    `boolean` | `isUpdated()` Indicates whether the metadata was actually fetched from the remote repository or resolved from the local cache.
    `MetadataResult` | `setException(Exception exception)` Records the specified exception while resolving the metadata.
    `MetadataResult` | `setMetadata(Metadata metadata)` Sets the resolved metadata.
    `MetadataResult` | `setUpdated(boolean updated)` Sets the updated flag for the metadata.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MetadataResult

          public MetadataResult(MetadataRequest request)

      Creates a new result for the specified request.
      Parameters:
        `request` - The resolution request, must not be `null`.

  - ### Method Detail

    - #### getRequest

          public MetadataRequest getRequest()

      Gets the resolution request that was made.
      Returns:
        The resolution request, never `null`.

    - #### getMetadata

          public Metadata getMetadata()

      Gets the resolved metadata (if any).
      Returns:
        The resolved metadata or `null` if the resolution failed.

    - #### setMetadata

          public MetadataResult setMetadata(Metadata metadata)

      Sets the resolved metadata.
      Parameters:
        `metadata` - The resolved metadata, may be `null` if the resolution failed.
      Returns:
        This result for chaining, never `null`.

    - #### setException

          public MetadataResult setException(Exception exception)

      Records the specified exception while resolving the metadata.
      Parameters:
        `exception` - The exception to record, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### getException

          public Exception getException()

      Gets the exception that occurred while resolving the metadata.
      Returns:
        The exception that occurred or `null` if none.

    - #### setUpdated

          public MetadataResult setUpdated(boolean updated)

      Sets the updated flag for the metadata.
      Parameters:
        `updated` - `true` if the metadata was actually fetched from the remote repository during the resolution, `false` if the metadata was resolved from a locally cached copy.
      Returns:
        This result for chaining, never `null`.

    - #### isUpdated

          public boolean isUpdated()

      Indicates whether the metadata was actually fetched from the remote repository or resolved from the local cache. If metadata has been locally cached during a previous resolution request and this local copy is still up-to-date according to the remote repository's update policy, no remote access is made.
      Returns:
        `true` if the metadata was actually fetched from the remote repository during the resolution, `false` if the metadata was resolved from a locally cached copy.

    - #### isResolved

          public boolean isResolved()

      Indicates whether the requested metadata was resolved. Note that the metadata might have been successfully resolved (from the local cache) despite `getException()` indicating a transfer error while trying to refetch the metadata from the remote repository.
      Returns:
        `true` if the metadata was resolved, `false` otherwise.
      See Also:
        `Metadata.getFile()`

    - #### isMissing

          public boolean isMissing()

      Indicates whether the requested metadata is not present in the remote repository.
      Returns:
        `true` if the metadata is not present in the remote repository, `false` otherwise.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.